using System;
using System.Timers;

internal sealed class Delegate517 : MulticastDelegate
{
	public extern void Invoke(object object_0, ElapsedEventHandler elapsedEventHandler_0);

	public static void smethod_0(object object_0, ElapsedEventHandler elapsedEventHandler_0, Delegate517 delegate517_1)
	{
		delegate517_1(object_0, elapsedEventHandler_0);
	}

	public extern Delegate517(object object_0, IntPtr intptr_0);

	static Delegate517()
	{
		Class10.smethod_13(typeof(Delegate517).TypeHandle);
	}

	internal static Delegate517 delegate517_0;
}
